{
  pkgs,
  vault-hier,
  rustVersion,
}:

let
  toolchain_with_src = (
    rustVersion.override {
      extensions = [
        "rustfmt"
        "clippy"
        "rust-src"
      ];
    }
  );
in
pkgs.mkShell {
  packages = with pkgs; [
    vault-hier # Add the vault-hier package to the dev shell
    toolchain_with_src # Add the custom Rust toolchain with source code to the dev shell
  ];
  nativeBuildInputs = [
    vault-hier
  ];
}
